From Fedora Project Wiki
m
m
Line 136: Line 136:
 
== Contingency Plan ==
 
== Contingency Plan ==
 
If the upgrade test fully succeeds in COPR, it will be applied to rawhide and F28. Otherwise, the upgrade won't be performed.
 
If the upgrade test fully succeeds in COPR, it will be applied to rawhide and F28. Otherwise, the upgrade won't be performed.
<!-- If you cannot complete your feature by the final development freeze, what is the backup plan?  This might be as simple as "Revert the shipped configuration".  Or it might not (e.g. rebuilding a number of dependent packages).  If you feature is not completed in time we want to assure others that other parts of Fedora will not be in jeopardy.  -->
 
* Contingency mechanism: (What to do?  Who will do it?) N/A (not a System Wide Change)  <!-- REQUIRED FOR SYSTEM WIDE CHANGES -->
 
<!-- When is the last time the contingency mechanism can be put in place?  This will typically be the beta freeze. -->
 
* Contingency deadline: N/A (not a System Wide Change)  <!-- REQUIRED FOR SYSTEM WIDE CHANGES -->
 
<!-- Does finishing this feature block the release, or can we ship with the feature in incomplete state? -->
 
* Blocks release? N/A (not a System Wide Change), Yes/No <!-- REQUIRED FOR SYSTEM WIDE CHANGES -->
 
* Blocks product? product <!-- Applicable for Changes that blocks specific product release/Fedora.next -->
 
  
 
== Documentation ==
 
== Documentation ==

Revision as of 23:39, 22 January 2018

Important.png
Comments and Explanations
The page source contains comments providing guidance to fill out each section. They are invisible when viewing this page. To read it, choose the "view source" link.
Copy the source to a new page before making changes! DO NOT EDIT THIS TEMPLATE FOR YOUR CHANGE PROPOSAL.


Change Proposal Name GifLib5

Summary

Update the giflib package to the latest giflib-5.x version (currently 5.1.4).

Owner

  • Name: Sandro Mani
  • Email: manisandro@gmail.com
  • Release notes owner:

Current status

  • Targeted release: Fedora 28
  • Last updated: 2018-01-22
  • Tracker bug: <will be assigned by the Wrangler>

Detailed Description

Update the giflib package to the latest giflib-5.x version (currently 5.1.4) and rebuild all dependencies. giflib-4.x is long since obsolete, and some packages are starting to drop support for giflib-4.x (i.e. leptonica). The update is being tested in this COPR repo.

Benefit to Fedora

Ship the latest giflib version.


Scope

  • Proposal owners:

- Rebuild all dependencies, possibly with some minor patching (porting, if necessary, is usually trivial, i.e.

-	DGifOpenFileName(fullname)
+	DGifOpenFileName(fullname, NULL)

-	DGifCloseFile(GifFile)
+	DGifCloseFile(GifFile, NULL)

-    DGifOpenFileHandle(fh);
+    DGifOpenFileHandle(fh, NULL);


  • Other developers: N/A (not a System Wide Change)
  • Policies and guidelines: N/A (not a System Wide Change)
  • Trademark approval: N/A (not needed for this Change)

Upgrade/compatibility impact

N/A (not a System Wide Change)

How To Test

N/A (not a System Wide Change)

User Experience

N/A (not a System Wide Change)

Dependencies

N/A (not a System Wide Change)

Contingency Plan

If the upgrade test fully succeeds in COPR, it will be applied to rawhide and F28. Otherwise, the upgrade won't be performed.

Documentation

N/A (not a System Wide Change)

Release Notes

Fedora now ships the latest giflib-5.x release.